#
# spec file for package python-glareclient
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname python-glareclient
Name:           python-glareclient
Version:        0.5.2
Release:        bp153.1.22
Summary:        Python API and CLI for OpenStack Glare
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/%{sname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PyYAML >= 3.10
BuildRequires:  python-coverage >= 4.0
BuildRequires:  python-devel
BuildRequires:  python-fixtures >= 3.0.0
BuildRequires:  python-mock >= 2.0.0
BuildRequires:  python-os-client-config >= 1.28.0
BuildRequires:  python-osc-lib >= 1.8.0
BuildRequires:  python-oslo.log >= 3.36.0
BuildRequires:  python-oslo.utils >= 3.33.0
BuildRequires:  python-reno >= 2.5.0
BuildRequires:  python-requests-mock >= 1.1.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 2.2.0
Requires:       python-Babel >= 2.3.4
Requires:       python-PrettyTable >= 0.7.1
Requires:       python-keystoneauth1 >= 3.3.0
Requires:       python-osc-lib >= 1.8.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.log >= 3.36.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-pbr >= 2.0.0
Requires:       python-requests >= 2.14.2
Requires:       python-six >= 1.10.0
BuildArch:      noarch

%description
Python bindings to the Glare Artifact Repository

%package doc
Summary:        Documentation for OpenStack Glare API Client
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 4.7.0

%description      doc
Python bindings to the Glare Artifact Repository
This package contains auto-generated documentation.

%prep
%autosetup -p1 -n %{sname}-%{version}
%py_req_cleanup

%build
%py2_build

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%py2_install

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst ChangeLog
%{_bindir}/glare
%{python2_sitelib}/glareclient
%{python2_sitelib}/*.egg-info

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Fri Feb 23 2018 cloud-devel@suse.de
- update to version 0.5.2
  - Remove setting of version/release from releasenotes
  - Allow to work in secure mode without certificate
  - Look the list of artifacts in 'artifacts' section
  - Avoid tox_install.sh for constraints support
  - Rename -s option to -S
  - Don't create client for help and bash completion
  - Adopt new api for artifact listing
  - Updated from global requirements
- Switch to stable/queens spec template
* Wed Dec 20 2017 cloud-devel@suse.de
- update to version 0.4.2
  - Allow to delete blobs with external urls
  - Add content_length to header in upload_blob
  - Updated from global requirements
  - Add ssl options to keycloak auth module
  - Add ssl options to glare cli
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 0.4.1
  - Use assertIsNone(value) instead of assertEqual(None, value)
  - [Fix gate]Update test requirement
  - Enable release notes translation
  - Fix a typo in bash_complition file name
  - Update CLI options for blobs
  - Allow to specify dict and list properties in cli
  - Parse blob dict upload output right
  - Allowed to use the artifacts by name
  - Add keycloak auth support
  - Return missing 'return' in build_option_parser
  - Add tag support for Glare client
  - Remove unnecessary code from shell
  - Add short arguments and fix small errors
  - Add the possibility to specify glare url in cli
  - Add 'list-types' and 'schema' operation in native shell
  - Add missing 'activate' command to native glare cli
  - Remove unecessary cli option "--glare-url"
  - Add setting of external locations
  - HTTP Client refactoring
  - Fix updating image by name
  - Raise error if there are more than 1 artifact with same name/version
  - Updated from global requirements
  - Rename deprecated 'warn' to 'warning' in logging
* Wed Jun  7 2017 dmueller@suse.com
- fix buildrequires
* Tue Feb 21 2017 tbechtold@suse.com
- Initial package (version 0.2.0)
